/**
 * File defines babel preset for twstyled based on Linaria;  a preset is used to force the plugin order
 */
import type { ConfigAPI } from '@babel/core';
import TwStyledCorePlugin from './plugin';
import { CorePluginOptions } from './types';
export default function nextLinariaBabelPreset(babel: ConfigAPI, options: CorePluginOptions): {
    plugins?: undefined;
} | {
    plugins: (typeof TwStyledCorePlugin | {
        classNameSlug?: string | ((hash: string, title: string) => string) | undefined;
        displayName: boolean;
        evaluate: boolean;
        ignore?: RegExp | undefined;
        babelOptions?: import("@babel/core").TransformOptions | undefined;
        rules: import("@linaria/babel-preset/types").EvalRule[] | ({
            action: any;
            test?: undefined;
        } | {
            test: RegExp;
            action: string;
        })[];
        sourceMap: boolean;
        cacheDirectory?: string | undefined;
        preprocessor?: void | import("./types").PreprocessorFn | "none" | "stylis" | undefined;
        extension?: string | undefined;
        importMap: {
            reactLibs: string[];
            cssLibs: string[];
        } | {
            reactLibs: string[];
            cssLibs: string[];
        };
        configFile?: string | undefined;
        includeBase?: boolean | undefined;
        outputPath?: string | undefined;
        configPath?: string | undefined;
        file?: import("@babel/core").BabelFile | undefined;
        key?: string | undefined;
        opts?: import("@babel/core").PluginOptions;
        cwd?: string | undefined;
        filename?: string | undefined;
    })[][];
};
