"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_1 = __importDefault(require("./plugin"));
const babel_options_1 = __importDefault(require("./config/babel-options"));
function isEnabled(caller) {
    return (caller === null || caller === void 0 ? void 0 : caller.name) !== 'linaria' || !caller.evaluate;
}
function nextLinariaBabelPreset(babel, options) {
    if (!babel.caller(isEnabled)) {
        return {};
    }
    const { ignore } = options;
    const refinedOptions = Object.assign({ displayName: process.env.NODE_ENV === 'production' ? false : true, sourceMap: process.env.NODE_ENV !== 'production', evaluate: true, importMap: {
            reactLibs: ['twstyled', '@linaria/react', 'linaria/react'],
            cssLibs: ['twstyled', '@linaria/core', 'linaria']
        }, rules: [
            {
                // FIXME: if `rule` is not specified in a config, `@linaria/shaker` should be added as a dependency
                // eslint-disable-next-line import/no-extraneous-dependencies
                action: require('./shaker').default
            },
            {
                // The old `ignore` option is used as a default value for `ignore` rule.
                test: ignore !== null && ignore !== void 0 ? ignore : /[\\/]node_modules[\\/]/,
                action: 'ignore'
            }
        ] }, babel_options_1.default(options));
    return {
        plugins: [[plugin_1.default, refinedOptions]]
    };
}
exports.default = nextLinariaBabelPreset;
//# sourceMappingURL=index.js.map