/**
 * This is an entry point for styles extraction.  No logic changes from @linaria/babel-preset/src/extract,
 * except for calling our own custom template processor and setting up some global state see *** TWSTYLED ***
 *
 * On enter, It:
 *  - traverse the code using visitors (TaggedTemplateExpression, ImportDeclaration)
 *  - schedule evaluation of lazy dependencies (those who are not simple expressions //TODO does they have it's name?)
 *  - let templateProcessor to save evaluated values in babel state as `replacements`.
 * On exit, It:
 *  - store result of extraction in babel's file metadata
 */
import type { Visitor } from '@babel/traverse';
import type core from '@babel/core';
import { CorePluginOptions, CorePluginState } from './types';
export declare type Core = typeof core;
export default function extract(babel: Core, options: CorePluginOptions): {
    visitor: Visitor<CorePluginState>;
};
