/**
 * This file is a babel preset used to transform files inside evaluators.
 * It works the same as main `babel/extract` preset, but do not evaluate lazy dependencies.
 */
import type { NodePath } from '@babel/traverse';
import type { Program } from '@babel/types';
import type babelCore from '@babel/core';
import { ProcessStyled, ProcessCSS } from '@linaria/babel-preset';
import type { CorePluginOptions, CorePluginState } from '../types';
declare function index(babel: typeof babelCore, options: CorePluginOptions): {
    visitor: {
        Program: {
            enter(path: NodePath<Program>, state: CorePluginState): void;
        };
        CallExpression: typeof ProcessStyled;
        TaggedTemplateExpression: typeof ProcessCSS;
    };
};
export default function preset(context: any, options: CorePluginOptions): {
    plugins: (CorePluginOptions | typeof index)[][];
};
export {};
