"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const babel_preset_1 = require("@linaria/babel-preset");
const visitors_1 = require("../visitors");
function index(babel, options) {
    return {
        visitor: {
            Program: {
                enter(path, state) {
                    // Collect all the style rules from the styles we encounter
                    state.queue = [];
                    state.rules = {};
                    state.index = -1;
                    state.dependencies = [];
                    state.replacements = [];
                    state.options = options;
                    // We need our transforms to run before anything else
                    // So we traverse here instead of a in a visitor
                    path.traverse({
                        ImportDeclaration: (p) => visitors_1.DetectStyledImportName(babel, p, state),
                        TaggedTemplateExpression: (p) => visitors_1.GenerateClassNames(babel, p, state, options),
                        JSXElement: babel_preset_1.JSXElement
                    });
                }
            },
            CallExpression: babel_preset_1.ProcessStyled,
            TaggedTemplateExpression: babel_preset_1.ProcessCSS // TaggedTemplateExpression is processed before CallExpression
        }
    };
}
function preset(context, options) {
    return {
        plugins: [[index, options]]
    };
}
exports.default = preset;
//# sourceMappingURL=preeval.js.map