import type { BabelFile } from '@babel/core';
import type { TwPluginOptions, TwPluginState } from '@twstyled/babel-plugin-tw';
import type { LinariaMetadata, Location, State, PluginOptions as LinariaOptions } from '@linaria/babel-preset';
import { Mapping } from 'source-map';
export interface StyledMeta {
    __linaria: {
        className: string;
        extends: StyledMeta;
    };
}
export declare type PreprocessorFn = (selector: string, cssText: string) => string;
export declare type Preprocessor = 'none' | 'stylis' | PreprocessorFn | void;
export interface CorePluginOptions extends LinariaOptions, TwPluginOptions {
    sourceMap: boolean;
    cacheDirectory: string;
    preprocessor: Preprocessor;
    extension: string;
    importMap: {
        reactLibs: Array<string>;
        cssLibs: Array<string>;
    };
}
export interface CorePluginState extends State, TwPluginState {
    queue: any[];
    rules: Rules;
    replacements: Replacements;
    index: number;
    dependencies: Dependencies;
    file: BabelFile & {
        opts: {
            cwd: string;
            root: string;
            filename: string;
        };
        metadata: babel.BabelFileMetadata & {
            localName: string;
            linaria: LinariaMetadata;
            cssFilename: string;
            twclasses: string[];
        };
    };
    hash: string;
    outputFilename: string;
    resourceFileName: string;
    options: CorePluginOptions;
    mappings: Mapping[];
    cssText: string;
}
declare type Replacements = Array<{
    original: {
        start: Location;
        end: Location;
    };
    length: number;
}>;
declare type Dependencies = string[];
export interface Rule {
    className: string;
    displayName: string;
    cssText: string;
    start: Location | null | undefined;
}
interface Rules {
    [selector: string]: Rule;
}
export {};
