"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hasImport_1 = __importDefault(require("./hasImport"));
const cache = new WeakMap();
function isStyledOrCss({ types: t }, path, state) {
    var _a;
    if (!cache.has(path)) {
        const { tag } = path.node;
        const localName = state.file.metadata.localName || 'styled';
        if (t.isCallExpression(tag) &&
            t.isIdentifier(tag.callee) &&
            tag.arguments.length === 1 &&
            tag.callee.name === localName &&
            hasImport_1.default(state, t, path.scope, state.file.opts.filename, localName)) {
            const tagPath = path.get('tag');
            cache.set(path, {
                component: tagPath.get('arguments')[0]
            });
        }
        else if (t.isMemberExpression(tag) &&
            t.isIdentifier(tag.object) &&
            t.isIdentifier(tag.property) &&
            tag.object.name === localName &&
            hasImport_1.default(state, t, path.scope, state.file.opts.filename, localName)) {
            cache.set(path, {
                component: { node: t.stringLiteral(tag.property.name) }
            });
        }
        else if (hasImport_1.default(state, t, path.scope, state.file.opts.filename, 'css') &&
            t.isIdentifier(tag) &&
            tag.name === 'css') {
            cache.set(path, 'css');
        }
        else {
            cache.set(path, null);
        }
    }
    return (_a = cache.get(path)) !== null && _a !== void 0 ? _a : null;
}
exports.default = isStyledOrCss;
//# sourceMappingURL=isStyledOrCss.js.map