/**
 * This file is a visitor that checks TaggedTemplateExpressions and look for Linaria css or styled templates.
 * For each template it makes a list of dependencies, try to evaluate expressions, and if it is not possible, mark them as lazy dependencies.
 */
import type { TaggedTemplateExpression } from '@babel/types';
import type { NodePath } from '@babel/traverse';
import babelCore from '@babel/core';
import { CorePluginOptions, CorePluginState } from '../types';
export default function CollectDependencies(babel: typeof babelCore, path: NodePath<TaggedTemplateExpression>, state: CorePluginState, options: CorePluginOptions): void;
