"use strict";
/* eslint-disable no-param-reassign */
/**
 * This Visitor checks if import of `@linaria/react` was renamed and stores that information in state
 */
Object.defineProperty(exports, "__esModule", { value: true });
function DetectStyledImportName({ types: t }, path, state) {
    if (!t.isLiteral(path.node.source, { value: '@linaria/react' })) {
        return;
    }
    path.node.specifiers.forEach((specifier) => {
        if (!t.isImportSpecifier(specifier)) {
            return;
        }
        if (specifier.local.name !== specifier.imported.name) {
            state.file.metadata.localName = specifier.local.name;
        }
    });
}
exports.default = DetectStyledImportName;
//# sourceMappingURL=DetectStyledImportName.js.map