/**
 * This file is a visitor that checks TaggedTemplateExpressions and look for Linaria css or styled templates.
 * For each template it generates a slug that will be used as a CSS class for particular Template Expression,
 * and generates a display name for class or styled components.
 * It saves that meta data as comment above the template, to be later used in templateProcessor.
 */
import type { TaggedTemplateExpression } from '@babel/types';
import type { NodePath } from '@babel/traverse';
import type core from '@babel/core';
import type { CorePluginState, CorePluginOptions } from '../types';
declare type Core = typeof core;
export default function GenerateClassNames(babel: Core, path: NodePath<TaggedTemplateExpression>, state: CorePluginState, options: CorePluginOptions): void;
export {};
